<template>
  <div class="playTable_footer-total">
    <div class="flex flex-between">
      <div v-if="bet">
        <span>{{$t('playTable.bets')}}:</span>
        <span class="color-white">{{bet}} EOS</span>
      </div>
      <div v-else>
        <span>{{$t('playTable.myBets')}}:</span>
        <span class="color-accent">{{myBetCount}}</span>
      </div>
      <div v-if="win">
        <span>{{$t('playTable.wins')}}:</span>
        <span class="color-green">{{win}} EOS</span>
      </div>
      <div v-else>
        <span>{{$t('playTable.total')}}:</span>
        <span class="color-accent">{{myBetTotal}} EOS</span>
      </div>
    </div>
    <div class="flex flex-center">
      <slot></slot>
    </div>
  </div>
</template>

<script>

  export default {
    name: "MyBetProgress",
    props: {
      myBetCount: {
        type: Number,
        default: 0
      },
      myBetTotal: {
        type: Number,
        default: 0
      },
      bet: {
        type: Number,
        default: null
      },
      win: {
        type: Number,
        default: null
      }
    },
    computed: {
      cap() {
        return this.$store.state.game.settings.cap;
      }
    }
  }
</script>
